v1.0
put
/ec-ors-svc/rest/v1.0/studies/{studyId}/{mode}/depot/resupplies/updateselected
Creates or updates selected associations between a resupply and a depot.
Rights: SupplySettingRightsPost.
Required sponsor roles are clinical supply manager and depot manager.
Rights: SupplySettingRightsPost.
Required sponsor roles are clinical supply manager and depot manager.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
C36A3197FDEE433FB5547EE83DE99E4B
Supported Media Types
- application/json
Root Schema : schema
Type:
Show Source
array-
Array of:
object DepotResupplyRequest v1.0
Title:
DepotResupplyRequest v1.0Depot resupply request object.
Nested Schema : DepotResupplyRequest v1.0
Type:
objectTitle:
DepotResupplyRequest v1.0Depot resupply request object.
Show Source
-
depotId: string
Title:
Depot IDDepot ID.Example:B1B8327AFAA6412287106192AB5984EF -
resupplyId: string
Title:
Resupply IDResupply ID.Example:B1B8327AFAA6412287106192AB5984EF
Examples
Back to Top
Response
Supported Media Types
- application/json
200 Response
Successful operation
Nested Schema : SiteResupply
Type:
objectSite resupply details.
Show Source
-
comment: string
CommentsExample:
Some comments -
id: string
(uuid)
Resupply site id
-
objectVersionNumber: number
(double)
Object Version Number.Example:
5 -
operationType: string
Allowed Values:
[ "CREATED", "REMOVED", "MODIFIED" ]Operation type.Example:MODIFIED -
reason: string
Reason.Example:
Some reason -
resupplyId: string
(uuid)
Resupply ID.
-
resupplyVersionStart: string
(date-time)
Resupply version start
-
siteId: string
(uuid)
Site ID.
-
siteVersionStart: string
(date-time)
Site version start
-
softwareVersionNumber: number
(double)
Software Version Number.Example:
2 -
subjectVisitId: string
(uuid)
-
userId: string
(uuid)
User id
-
versionEnd: string
(date-time)
The end date until which the data is applicable or valid.
-
versionStart: string
(date-time)
The timestamp marking the beginning of the validity period for this record version within the system.
400 Response
'Depot in the study does not match the Clinical One study configuration', 'Duplicate depot'
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
Title:
ErrorResponseDataError Response Details Information -
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : result
Type:
objectResult Object
Nested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
Examples
404 Response
'Resupply not found', 'Study identifier does not match any study identifiers in Clinical One.'
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
Title:
ErrorResponseDataError Response Details Information -
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : result
Type:
objectResult Object
Nested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
Examples
500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
Title:
ErrorResponseDataError Response Details Information -
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : result
Type:
objectResult Object
Nested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
Examples